> For the complete documentation index, see [llms.txt](https://docs.hivesql.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hivesql.io/technical-informations/operations/txtransfers.md).

# TxTransfers

#### Blockchain operations

* transfer
* transfer\_to\_vesting
* transfer\_to\_savings
* transfer\_from\_savings
* cancel\_transfer\_from\_savings

#### Columns

| Name           | Description                                                                                                                         |
| -------------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| type           | Contains the blockchain operation name                                                                                              |
| from           | account sending assets                                                                                                              |
| to             | account receiving assets                                                                                                            |
| amount         | amount sent                                                                                                                         |
| amount\_symbol | asset symbol                                                                                                                        |
| memo           | a communication that accompanies the transfer. The memo is plain-text, any encryption on the memo is up to a higher-level protocol. |
| request\_id    | only for transfer\_from\_savings or cancel\_transfer\_from\_savings                                                                 |

#### Description

**`transfer`**

Transfers assets from one account to another.

* Transferring of Hive Power (VESTS) is not allowed.
* Cannot transfer a negative amount.
* `memo` must be less than 2048 bytes.
* `memo` must be UTF-8.

**`transfer_to_vesting`**

This operation can converts HIVE into VESTS (Hive Power) at the current `hive_per_vests` rate (see [DynamicGlobalProperties](/technical-informations/state-tables/dynamicglobalproperties.md)). With this operation, it is possible to give vesting shares (Hive Power) to another account.

* `amount` must be in HIVE.
* `amount` must be greater than zero.

**`transfer_to_savings`** and **`transfer_from_savings`**

A user can place Hive and Hive Dollars into time -locked savings balances. \
Transfer from an account to savings is instant.\
Funds withdrawals from the savings to an account take three days. Their execution is recorded in the blockchain with the `fill_transfer_from_saving` virtual operation (see [VOFillTransferFromSavings](/technical-informations/virtual-operations/vofilltransferfromsavings.md))

**`cancel_transfer_from_savings`**

Funds withdrawals from the savings can be canceled at any time before it is executed.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hivesql.io/technical-informations/operations/txtransfers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
